/* mascotDriver.cpp is a driver program for the mascot() function.
 *
 * Input:  names of Big 10 schools
 * Output: prompts, mascots of schools
 ****************************************************************/

#include <iostream.h>              // cin, cout, <<, >>
#include <string>                  // string, ==, getline()

string mascot(string university);

int main()
{
   string school;

   cout << "\nEnter a Big 10 school (Q to quit): ";
   getline(cin, school);
   while (school != "Q" && school != "q")
   {
      cout << mascot(school) << endl;
      cout << "\nEnter a Big 10 school (Q to quit): ";
      getline(cin, school);
   }
}


/* mascot() returns the mascot for a Big 10 university.
 * 
 * Receive:      university, a string
 * Precondition: university is a Big 10 university
 * Return:       the (string) mascot of university
 ******************************************************/

string mascot(string university)
{
   if (university == "Illinois")
      return "Fighting Illini";
   else if (university == "Indiana")
      return "Hoosiers";
   else if (university == "Iowa")
      return "Hawkeyes";
   else if (university == "Michigan")
      return "Wolverines";
   else if (university == "Michigan State")
      return "Spartans";
   else if (university == "Minnesota")
      return "Golden Gophers";
   else if (university == "Northwestern")
      return "Wildcats";
   else if (university == "Ohio State")
      return "Buckeyes";
   else if (university == "Penn State")
      return "Nittany Lions";
   else if (university == "Purdue")
      return "Boilermakers";
   else if (university == "Wisconsin")
      return "Badgers";
   else
   {
      cerr << "Mascot: " << university 
           << " is not known by this program!";
      return "";
   }
}
